# tcp_hdr Struct Reference

`#include <tcp.h>`

## Public Member Functions

| PACK_STRUCT_FIELD (uInt16 urgp)
| PACK_STRUCT_FIELD (uInt16 chksum)
| PACK_STRUCT_FIELD (uInt16 wnd)
| PACK_STRUCT_FIELD (uInt16 _offset_flags)
| PACK_STRUCT_FIELD (uInt32 ackno)
| PACK_STRUCT_FIELD (uInt32 seqno)
| PACK_STRUCT_FIELD (uInt16 dest)
| PACK_STRUCT_FIELD (uInt16 src)

## Detailed Description

Definition at line 139 of file tcp.h.

## Member Function Documentation

tcp_hdr::PACK_STRUCT_FIELD | ( | uInt16 | urgp | ) |

tcp_hdr::PACK_STRUCT_FIELD | ( | uInt16 | chksum | ) |

tcp_hdr::PACK_STRUCT_FIELD | ( | uInt16 | wnd | ) |

tcp_hdr::PACK_STRUCT_FIELD | ( | uInt16 | _offset_flags | ) |

tcp_hdr::PACK_STRUCT_FIELD | ( | uInt32 | ackno | ) |

tcp_hdr::PACK_STRUCT_FIELD | ( | uInt32 | seqno | ) |

tcp_hdr::PACK_STRUCT_FIELD | ( | uInt16 | dest | ) |

tcp_hdr::PACK_STRUCT_FIELD | ( | uInt16 | src | ) |

The documentation for this struct was generated from the following file:

- src/sys/include/net/tcp.h